%define	version	0.7.1
%define release	2mdk

Summary:	A general purpose calculator and math tool.
Name:		genius
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
URL:		http://www.jirka.org/genius.html
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://ftp.5z.com/pub/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.5.5-plugin-libtool-flag.patch.bz2

BuildRequires:	automake1.4
BuildRequires:	vte-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	gtksourceview-devel
BuildRequires:	gmp-devel >= 4.1.2-4mdk
BuildRequires:	readline-devel
BuildRequires:	termcap-devel
BuildRequires:	flex bison
Prereq:		shared-mime-info
Requires:	ghostscript

%description
Genius is an advanced calculator and a mathematical programming language.
It handles multiple precision floating point numbers, infinite precision
integers, complex numbers and matrixes.


%prep
%setup -q
%patch0 -p1 -b .no-version

# needed by patch0
AUTOMAKE=automake-1.4 ACLOCAL=aclocal-1.4 autoreconf

%build
%configure2_5x --enable-mpfr
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %{buildroot}/%{_datadir}/mime/XMLnamespaces
rm -f %{buildroot}/%{_datadir}/mime/globs
rm -f %{buildroot}/%{_datadir}/mime/magic

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<_EOF_
?package(%{name}): \
command="%{_bindir}/genius" \
icon="%{_datadir}/pixmaps/gnome-calc2.png" \
longtitle="Genius Mathematical Tool and Calculator" \
needs="x11" \
section="More Applications/Sciences/Mathematics" \
title="Genius math tool" \
startup_notify="yes"
_EOF_

%{find_lang} %{name}

# remove stuff not distributed
# pointless to include header, no plugin has been developed in 4 yrs
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -f $RPM_BUILD_ROOT%{_libdir}/genius/*.a \
      $RPM_BUILD_ROOT%{_libdir}/genius/*.la

%post
%update_menus
%{_bindir}/update-mime-database %{_datadir}/mime

%postun
%clean_menus
if [ "$1" = "0" ]; then %{_bindir}/update-mime-database %{_datadir}/mime; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/application-registry/*
%{_datadir}/mime/packages/*
%{_datadir}/mime/text/*
%{_datadir}/mime-info/*
%{_libdir}/%{name}
%{_libexecdir}/genius-readline-helper-fifo
%{_menudir}/%{name}

%changelog
* Sat Aug 21 2004 Abel Cheung <deaddog@deaddog.org> 0.7.1-2mdk 
- Update mime info in postin/un

* Fri Aug 20 2004 Jerome Soyer <saispo@mandrake.org> 0.7.1-1mdk
- 0.7.1

* Mon Aug 16 2004 Jerome Soyer <saispo@mandrake.org> 0.7.0-2mdk
- Fix menu

* Wed Aug 10 2004 Jerome Soyer <saispo@mandrake.org> 0.7.0-1mdk
- 0.7.0
- fix gcc 3.4 build

* Sat Apr 10 2004 Abel Cheung <deaddog@deaddog.org> 0.6.0-1mdk
- First Mandrake spec
- Patch0: Don't build versioned module
